//---------------------------------------------------------------------------
#ifndef DoCompH
#define DoCompH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>

#include "Globals.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TMainMenu *MainMenu1;
  TMenuItem *File1;
  TMenuItem *OpenROMfile1;
  TMenuItem *N1;
  TMenuItem *Exit1;
  TOpenDialog *Open1;
  TMenuItem *Edit1;
  TMenuItem *DecompressData1;
  TMenuItem *Decompress8x8Font1;
  TMenuItem *Block11;
  TMenuItem *Block21;
  TMenuItem *Block31;
  TMenuItem *N2;
  TMenuItem *Recompressafile1;

  TMenuItem *Block4;
  TMenuItem *Block51;
  TMenuItem *N3;
  TListBox *ListBox1;
  TMenuItem *N4;
  TMenuItem *Portrait1;
  void __fastcall OpenROMfile1Click(TObject *Sender);
  void __fastcall Exit1Click(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Decompress8x8Font1Click(TObject *Sender);

  void __fastcall Block11Click(TObject *Sender);
  void __fastcall Recompressafile1Click(TObject *Sender);

  
private:	// User declarations
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);

  int  __fastcall Decompress( LONG lpOffset, char *OutputFile, FILE *sf );
  int  __fastcall Recompress( LONG ofStart, LONG ofEnd, char *InputFile, char *OutputFile );

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif





